Description: Fixes a test failure caused by the new methods added to the Map interface in Java 8
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: no
--- a/mop/testsrc/org/dynalang/mop/impl/test/TestStandardMetaobjectProtocolFactory.java
+++ b/mop/testsrc/org/dynalang/mop/impl/test/TestStandardMetaobjectProtocolFactory.java
@@ -219,6 +219,11 @@
 	while(it.hasNext()) {
 	    s2.add(it.next());
 	}
+	// Ignore the new Java 8 methods
+	String[] java8methods = new String[] {"compute", "computeIfAbsent", "computeIfPresent", "forEach", "getOrDefault", "merge", "putIfAbsent", "replace", "replaceAll"};
+	for (String ignoredMethod : java8methods) {
+	    s2.remove(ignoredMethod);
+	}
 	assertEquals(s1, s2);
     }
-}
\ No newline at end of file
+}
